﻿@model LAP.Areas.Adviser.Models.ClientSurveyModel
@using System.Web
@{
    Layout = null;
    var ClientProperties = Model.ClientLoginData.ClientProperties;
    var PersonalAssets = ClientProperties.Where(m => m.Incomegenerated);
}
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>@System.IO.Path.GetFileNameWithoutExtension(Model.FileName)</title>
    <link href="https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap" rel="stylesheet" />
    <link href="https://fonts.googleapis.com/css2?family=Roboto+Condensed:wght@300&display=swap" rel="stylesheet">
    <link href="~/css/report-style.css" rel="stylesheet" />
</head>
<body style="font-family: 'Poppins', sans-serif !important;font-size:16px;">
    <partial name="/Views/Home/ClientSurvey/_CoverPage.cshtml" model="Model" />
    <p class="new-page"></p>
    <div style="padding-left:50px;padding-right:50px">
        <partial name="/Views/Home/ClientSurvey/_BasicInfo.cshtml" model="Model.ClientLoginData" />
        <partial name="/Views/Home/ClientSurvey/_FamilyInfo.cshtml" model="Model.ClientLoginData.Heirs" />
        <partial name="/Views/Home/ClientSurvey/_PersonalProperty.cshtml" model="Model.ClientLoginData.ClientProperties" />
        <partial name="/Views/Home/ClientSurvey/_EmploymentInfo.cshtml" model="Model.ClientLoginData.ClientOccupations" />
        <partial name="/Views/Home/ClientSurvey/_PrevRetirementPlan.cshtml" model="Model.ClientLoginData.ClientPrevEsps" />
        @if (Model.ClientLoginData.ClientOccupations.Any(m => m.EmploymentStatus == EmploymentStatusEnum.SelfEmployed))
        {
            <partial name="/Views/Home/ClientSurvey/_BusinessInterest.cshtml" model="Model.ClientLoginData.BusinessInterests" />
        }
        <partial name="/Views/Home/ClientSurvey/_PersonalActivities.cshtml" model="Model.ClientLoginData" />
        <partial name="/Views/Home/ClientSurvey/_PersonalAssets.cshtml" model="PersonalAssets" />
        <partial name="/Views/Home/ClientSurvey/_SocialSecurity.cshtml" model="Model.ClientLoginData.SocialSecurities" />
        <partial name="/Views/Home/ClientSurvey/_InvestmentIncome.cshtml" model="Model.ClientLoginData" />
        <partial name="/Views/Home/ClientSurvey/_Expense.cshtml" model="Model.ClientLoginData" />
        <h2 class="text-navi">Planning</h2>
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Investment")))
        {
            <partial name="/Views/Home/ClientSurvey/_InvestmentPlanning.cshtml" model="Model" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Retirement Income")))
        {
            <partial name="/Views/Home/ClientSurvey/_RetirementIncomePlanning.cshtml" model="Model" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Healthcare")))
        {
            <partial name="/Views/Home/ClientSurvey/_HealthcarePlanning.cshtml" model="Model" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Personal Care")))
        {
            <partial name="/Views/Home/ClientSurvey/_PersonalCarePlanning.cshtml" model="Model" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Education")))
        {
            <partial name="/Views/Home/ClientSurvey/_EducationPlanning.cshtml" model="Model.ClientLoginData.EducationPlannings" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Charitable")))
        {
            <partial name="/Views/Home/ClientSurvey/_CharitablePlanning.cshtml" model="Model.ClientLoginData.CharitablePlanning" />
        }
        @if (Model.PlanningItems.Any(m => m.PlanningItem.ItemName.Contains("Estate")))
        {
            <partial name="/Views/Home/ClientSurvey/_EstatePlanning.cshtml" model="Model" />
        }
        @if (!Model.PlanningItems.Any())
        {
            <hr style="border-top: 1px solid #23588d;margin-top:30px" />
        }
        <partial name="/Views/Home/ClientSurvey/_HealthAssessment.cshtml" model="Model" />
        <partial name="/Views/Home/ClientSurvey/_HealthExpectation.cshtml" model="Model" />
        <h2 class="text-navi">Final Thought:</h2>
        <div>@HttpUtility.UrlDecode(Model.ClientLoginData.ClientData.FinalThought)</div>
    </div>
</body>
</html>
<style>
    body {
        margin: 0;
        font-family: 'Poppins', sans-serif !important;
        color: #4c4d4f !important;
        background: none !important;
    }

    #cover-page-title {
        width: 1050px;
        background: #23588d;
        font-size: 70px;
        color: #fff;
        font-weight: 200;
        opacity: 0.9;
        position: absolute;
        bottom: 10px;
        padding-top: 10px;
        text-align: center;
    }
</style>